pcl::QuantizableModality Class Referenceabstract

Interface for a quantizable modality. More...

`#include <pcl/recognition/quantizable_modality.h>`

Inheritance diagram for pcl::QuantizableModality:

## Public Member Functions

| QuantizableModality ()
| Constructor. More...
virtual | ~QuantizableModality ()
| Destructor. More...
virtual QuantizedMap & | getQuantizedMap ()=0
| Returns a reference to the internally computed quantized map. More...
virtual QuantizedMap & | getSpreadedQuantizedMap ()=0
| Returns a reference to the internally computed spreaded quantized map. More...
virtual void | extractFeatures (const MaskMap &mask, size_t nr_features, size_t modality_index, std::vector< QuantizedMultiModFeature > &features) const =0
| Extracts features from this modality within the specified mask. More...
virtual void | extractAllFeatures (const MaskMap &mask, size_t nr_features, size_t modality_index, std::vector< QuantizedMultiModFeature > &features) const =0
| Extracts all possible features from the modality within the specified mask. More...

## Detailed Description

Interface for a quantizable modality.

Author
  Stefan Holzer

Definition at line 53 of file quantizable_modality.h.

## Constructor & Destructor Documentation

pcl::QuantizableModality::QuantizableModality | ( |  | ) |

Constructor.

virtual pcl::QuantizableModality::~QuantizableModality | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

virtual void pcl::QuantizableModality::extractAllFeatures | ( | const MaskMap & | mask,
|  | size_t | nr_features,
|  | size_t | modality_index,
|  | std::vector< QuantizedMultiModFeature > & | features
| ) |  | const

pure virtual

Extracts all possible features from the modality within the specified mask.

Parameters

  [in] | mask | defines the areas where features are searched in.
  [in] | nr_features | IGNORED (TODO: remove this parameter).
  [in] | modality_index | the index which is stored in the extracted features.
  [out] | features | the destination for the extracted features.

Implemented in pcl::SurfaceNormalModality< PointInT >, pcl::SurfaceNormalModality< PointXYZT >, pcl::ColorGradientModality< PointInT >, and pcl::ColorGradientModality< PointRGBT >.

virtual void pcl::QuantizableModality::extractFeatures | ( | const MaskMap & | mask,
|  | size_t | nr_features,
|  | size_t | modality_index,
|  | std::vector< QuantizedMultiModFeature > & | features
| ) |  | const

pure virtual

Extracts features from this modality within the specified mask.

Parameters

  [in] | mask | defines the areas where features are searched in.
  [in] | nr_features | defines the number of features to be extracted (might be less if not sufficient information is present in the modality).
  [in] | modality_index | the index which is stored in the extracted features.
  [out] | features | the destination for the extracted features.

Implemented in pcl::SurfaceNormalModality< PointInT >, pcl::SurfaceNormalModality< PointXYZT >, pcl::ColorGradientModality< PointInT >, pcl::ColorGradientModality< PointRGBT >, and pcl::ColorModality< PointInT >.

virtual QuantizedMap& pcl::QuantizableModality::getQuantizedMap | ( |  | ) |

pure virtual

Returns a reference to the internally computed quantized map.

Implemented in pcl::SurfaceNormalModality< PointInT >, pcl::SurfaceNormalModality< PointXYZT >, pcl::ColorGradientModality< PointInT >, pcl::ColorGradientModality< PointRGBT >, and pcl::ColorModality< PointInT >.

virtual QuantizedMap& pcl::QuantizableModality::getSpreadedQuantizedMap | ( |  | ) |

pure virtual

Returns a reference to the internally computed spreaded quantized map.

Implemented in pcl::SurfaceNormalModality< PointInT >, pcl::SurfaceNormalModality< PointXYZT >, pcl::ColorGradientModality< PointInT >, pcl::ColorGradientModality< PointRGBT >, and pcl::ColorModality< PointInT >.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/recognition/include/pcl/recognition/quantizable_modality.h